// still not working.


package gui;

import java.awt.*;

/**
  When you enter the AutoSelTextField, 
  all text in the field will be auto selected.
  */
public class AutoSelTextField extends TextField {

  public boolean handleEvent(Event e) {
    System.out.println("Event.id = " + e.id);
    if (e.id == Event.UP) {
      selectAll();
      System.out.println("selected");
      return false;
    }
    else
      return super.handleEvent(e);
  }

}
